import { defineClientConfig } from '@vuepress/client'
import {onMounted} from 'vue'

export default defineClientConfig({
  enhance({ app, router, siteData }) {
      router.beforeEach((to,from,next)=>{
        window.parent.postMessage({height:window.document.body.scrollHeight},"*");
        next()
      })
  },
  setup() {

  },
  rootComponents: [],
})

